# Asterisk Project : Asterisk 13 Application_Page

Created by wikibot on Aug 08, 2014

# Page()

### Synopsis

Page series of phones

### Description

Places outbound calls to the given technology/resource and dumps them into a conference bridge as muted participants. The original caller is dumped into the conference as a speaker and the room is destroyed when the original caller leaves.

### Syntax

    Page(Technology/Resource&[Technology2/Resource2[&...]],[options,[timeout]])

##### Arguments

- `Technology/Resource`
  - `Technology/Resource` - Specification of the device(s) to dial. These must be in the format of `Technology/Resource`, where Technology represents a particular channel driver, and Resource represents a resource available to that particular channel driver.
  - `Technology2/Resource2` - Optional extra devices to dial in parallel
    If you need more than one, enter them as Technology2/Resource2& Technology3/Resourse3&.....
- `options`
  - `b` - Before initiating an outgoing call, Gosub to the specified location using the newly created channel. The Gosub will be executed for each destination channel.
    - `context`
    - `exten`
    - `priority`
      - `arg1`
      - `argN`
  - `B` - Before initiating the outgoing call(s), Gosub to the specified location using the current channel.
    - `context`
    - `exten`
    - `priority`
      - `arg1`
      - `argN`
  - `d` - Full duplex audio
  - `i` - Ignore attempts to forward the call
  - `q` - Quiet, do not play beep to caller
  - `r` - Record the page into a file ( `CONFBRIDGE(bridge,record_conference)`)
  - `s` - Only dial a channel if its device state says that it is `NOT_INUSE`
  - `A` - Play an announcement to all paged participants
    - `x` - The announcement to playback to all devices
  - `n` - Do not play announcement to caller (alters `A` behavior)
- `timeout` - Specify the length of time that the system will attempt to connect a call. After this duration, any page calls that have not been answered will be hung up by the system.

### See Also

- Asterisk 13 Application_ConfBridge

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538